%define upstream_name    Dist-Zilla-Plugin-GatherFromManifest
%define upstream_version 1.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Gather all files from MANIFEST
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Path::Class)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
This is a Dist::Zilla::Role::FileGathererplugin, which allows you to
implicitly specify which files should be built into distibution.

This module offers a different approach to default the
Dist::Zilla::Plugin::GatherDir manpage which adds ALL files to distribution
and the Dist::Zilla::Plugin::ManifestSkip manpage which prunes files listed
in MANIFEST.SKIP.

You should replace [GatherDir] with [GatherFromManifest] and make sure you
have a MANIFEST file. It's quite useful if you're converting existing
package to Dist::Zilla.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 511111
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 366157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 71139
- imported package perl-Dist-Zilla-Plugin-GatherFromManifest


* Mon Mar 14 2011 cpan2dist 1.001-1mga
- initial mageia release, generated with cpan2dist
